#include "mbed.h"
#include "INA226.hpp"

DigitalOut myled(LED1);

I2C i2c(p9,p10);
INA226 VCmonitor(i2c,0x9C);
AnalogIn mgPin(p20);

int main() {
    unsigned short val;
    double V;
    val = 0;
    if(VCmonitor.rawRead(0x00,&val) != 0){
        printf("VCmonitor READ ERROR\n");
        while(1){}
    }
    VCmonitor.setCurrentCalibration();
    
    while(1) {
        if(VCmonitor.getVoltage(&V) == 0){
            printf("e:%f\n",V);
        }
        printf("mgPin V:%f\n\r",mgPin.read()*3.3);
        wait(0.1);
    }
}
